(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@ngx-translate/core'), require('@narik/ui-core'), require('@angular/forms'), require('rxjs/operators'), require('rxjs'), require('@narik/infrastructure'), require('@angular/common'), require('@ng-bootstrap/ng-bootstrap'), require('@narik/app-core'), require('@narik/common'), require('@narik/core'), require('@angular/flex-layout/flex'), require('@angular/flex-layout'), require('@angular/animations'), require('angular2-uuid')) :
    typeof define === 'function' && define.amd ? define('@narik/ui-ng-bootstrap', ['exports', '@angular/core', '@ngx-translate/core', '@narik/ui-core', '@angular/forms', 'rxjs/operators', 'rxjs', '@narik/infrastructure', '@angular/common', '@ng-bootstrap/ng-bootstrap', '@narik/app-core', '@narik/common', '@narik/core', '@angular/flex-layout/flex', '@angular/flex-layout', '@angular/animations', 'angular2-uuid'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.narik = global.narik || {}, global.narik['ui-ng-bootstrap'] = {}), global.ng.core, global.i4, global.uiCore, global.ng.forms, global.rxjs.operators, global.rxjs, global.infrastructure, global.ng.common, global.i1$1, global.appCore, global.i9, global.core, global.ng.flexLayout.flex, global.ng.flexLayout, global.ng.animations, global.angular2Uuid));
}(this, (function (exports, i0, i4, uiCore, i2, operators, rxjs, infrastructure, i1, i1$1, appCore, i9, core, i8, flexLayout, animations, angular2Uuid) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () {
                            return e[k];
                        }
                    });
                }
            });
        }
        n['default'] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i4__namespace = /*#__PURE__*/_interopNamespace(i4);
    var i2__namespace = /*#__PURE__*/_interopNamespace(i2);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);
    var i1__namespace$1 = /*#__PURE__*/_interopNamespace(i1$1);
    var i9__namespace = /*#__PURE__*/_interopNamespace(i9);
    var i8__namespace = /*#__PURE__*/_interopNamespace(i8);

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    var NARIK_UI_COMPONENT_INPUTS = ['options'];
    var NARIK_UI_FORM_INPUTS = __spreadArray([
        'id',
        'name',
        'label',
        'disabled',
        'required',
        'readOnly',
        'placeHolder'
    ], __read(NARIK_UI_COMPONENT_INPUTS));
    var NARIK_DATA_ORIENTED_OUTPUTS = [
        'dataChange',
        'selectedItemChange',
    ];
    var NARIK_DATA_ORIENTED_INPUTS = __spreadArray([
        'listenForDataChange',
        'dataSource',
        'dataKey',
        'dataUrl',
        'dataInfo',
        'dataProviderKey',
        'dataParameters',
        'moduleKey',
        'dataMethod',
        'dataUrlMethod'
    ], __read(NARIK_UI_FORM_INPUTS));
    var NARIK_DATA_DISPLAY_VALUE_OUTPUTS = __spreadArray([], __read(NARIK_DATA_ORIENTED_OUTPUTS));
    var NARIK_DATA_DISPLAY_VALUE_INPUTS = __spreadArray([
        'displayField',
        'valueField'
    ], __read(NARIK_DATA_ORIENTED_INPUTS));
    var NARIK_AUTOCOMPLETE_INPUTS = [
        'displayText',
        'minSearchLength',
        'isLazyLoadData',
    ];
    var NARIK_CHECKBOX_INPUTS = __spreadArray(['tag'], __read(NARIK_UI_FORM_INPUTS));
    var NARIK_SELECT_INPUTS = ['multiple'];
    var NARIK_DATA_TABLE_SELECT_INPUTS = __spreadArray(__spreadArray([], __read(NARIK_SELECT_INPUTS)), [
        'gridOptions',
    ]);
    var NARIK_DATE_PICKER_INPUTS = __spreadArray([], __read(NARIK_UI_FORM_INPUTS));
    var NARIK_INPUT_INPUTS = __spreadArray([
        'maxlength',
        'type',
        'mask',
        'icon',
        'displayStatus'
    ], __read(NARIK_UI_FORM_INPUTS));

    var NarikNgbAutoComplete = /** @class */ (function (_super) {
        __extends(NarikNgbAutoComplete, _super);
        function NarikNgbAutoComplete(injector) {
            var _this = _super.call(this, injector) || this;
            _this.internalChange = false;
            _this.optionData = [];
            return _this;
        }
        Object.defineProperty(NarikNgbAutoComplete.prototype, "displayValue", {
            get: function () {
                return this._displayValue;
            },
            set: function (value) {
                if (this._displayValue !== value) {
                    if (!this.internalChange) {
                        this.setValue(value);
                    }
                    this._displayValue = value;
                }
            },
            enumerable: false,
            configurable: true
        });
        NarikNgbAutoComplete.prototype.ngOnInit = function () {
            var _this = this;
            this.loadDataOnInit = !this.isLazyLoadData;
            _super.prototype.ngOnInit.call(this);
            if (!this.isLazyLoadData) {
                this.search = function (text$) { return text$.pipe(operators.debounceTime(200), operators.distinctUntilChanged(), operators.map(function (term) { return term.length < _this.minSearchLength
                    ? []
                    : _this.optionData
                        .filter(function (v) { return _this.displayField
                        ? v[_this.displayField]
                        : v
                            .toLowerCase()
                            .indexOf(term.toLowerCase()) >
                            -1; })
                        .map(function (v) { return _this.displayField
                        ? v[_this.displayField]
                        : v; })
                        .slice(0, 10); })); };
            }
            else {
                var dataProviderService_1 = this.injector.get(infrastructure.DataProviderService);
                var dataInfo_1 = this.createDataInfo();
                dataInfo_1.dataMethod = 'POST';
                dataInfo_1.actionType = 'COMPLETE';
                if (!dataInfo_1.moduleKey) {
                    dataInfo_1.moduleKey = this.injector.get(infrastructure.MODULE_DATA_KEY);
                }
                this.search = function (text$) { return text$.pipe(operators.debounceTime(200), operators.distinctUntilChanged(), operators.tap(function (filter) {
                    if (filter && filter.length >= _this.minSearchLength) {
                        _this.dataIsLoading = true;
                    }
                }), operators.switchMap(function (filter) {
                    dataInfo_1.dataParameters = {
                        filter: filter,
                    };
                    return filter && filter.length >= _this.minSearchLength
                        ? dataProviderService_1.getData(dataInfo_1).pipe(operators.tap(function (result) { return (_this.optionData = result); }), operators.finalize(function () { return (_this.dataIsLoading = false); }))
                        : rxjs.of([]);
                })); };
            }
        };
        NarikNgbAutoComplete.prototype.setValue = function (selectedText) {
            var _this = this;
            this.internalChange = true;
            if (!this.displayField) {
                this.value = selectedText;
            }
            else {
                if (selectedText) {
                    var item = this.optionData.filter(function (x) { return x[_this.displayField] === selectedText; })[0];
                    if (item) {
                        this.value = item[this.valueField];
                    }
                    else {
                        this.value = undefined;
                    }
                }
                else {
                    this.value = undefined;
                }
            }
            this.internalChange = false;
        };
        NarikNgbAutoComplete.prototype.useData = function (data) {
            this.optionData = data;
        };
        NarikNgbAutoComplete.prototype.setDisplayText = function () {
            var _this = this;
            this.internalChange = true;
            if (this.value) {
                var item = this.optionData.filter(function (x) { return x[_this.valueField] === _this.value; })[0];
                this.displayValue = item
                    ? item[this.displayField]
                    : this.displayText;
            }
            else {
                this.displayValue = '';
            }
            this.internalChange = false;
        };
        NarikNgbAutoComplete.prototype.valueChanged = function (newValue, oldValue) {
            if (newValue !== oldValue && !this.internalChange) {
                this.setDisplayText();
            }
        };
        NarikNgbAutoComplete.prototype.onBlur = function () {
            if (!this.isLazyLoadData) {
                this.setDisplayText();
            }
        };
        return NarikNgbAutoComplete;
    }(uiCore.NarikAutoComplete));
    /** @nocollapse */ NarikNgbAutoComplete.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbAutoComplete, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbAutoComplete.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbAutoComplete, selector: "narik-ngb-autocomplete  , narik-autocomplete ", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options", icon: "icon" }, outputs: { dataChange: "dataChange", selectedItemChange: "selectedItemChange" }, providers: [
            {
                provide: i2.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgbAutoComplete; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "<div class=\"form-group\">\n  <label for=\"{{id}}\">{{label}}</label>\n  <div class=\"input-group mb-3\" *ngIf=\"icon\">\n    <div class=\"input-group-prepend\">\n      <span class=\"input-group-text\"><i class=\"fa fa-{{icon}}\"></i></span>\n    </div>\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\n  </div>\n  <ng-container *ngIf=\"!icon\">\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\n  </ng-container>\n\n</div>\n<ng-template #inputElement>\n  <input (blur)=\"onBlur()\" [required]=\"required\" [(ngModel)]=\"displayValue\" [attr.disabled]=\"disabled || null\"\n    type=\"text\" name=\"{{name}}\" class=\"form-control\" [ngbTypeahead]=\"search\" id=\"{{id}}\" placeholder=\"{{placeHolder}}\">\n  <input type=\"hidden\" name=\"{{name}}\" [(ngModel)]=\"value\">\n</ng-template>", styles: [""], directives: [{ type: i1__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1__namespace.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }, { type: i2__namespace.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i1__namespace$1.NgbTypeahead, selector: "input[ngbTypeahead]", inputs: ["autocomplete", "placement", "container", "editable", "focusFirst", "showHint", "inputFormatter", "ngbTypeahead", "resultFormatter", "resultTemplate", "popupClass"], outputs: ["selectItem"], exportAs: ["ngbTypeahead"] }, { type: i2__namespace.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { type: i2__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i2__namespace.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbAutoComplete, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-autocomplete  , narik-autocomplete ',
                        templateUrl: 'narik-ngb-auto-complete.component.html',
                        styleUrls: ['narik-ngb-auto-complete.component.css'],
                        inputs: __spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_INPUTS)),
                        outputs: __spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_OUTPUTS)),
                        providers: [
                            {
                                provide: i2.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgbAutoComplete; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; }, propDecorators: { icon: [{
                    type: i0.Input
                }] } });

    var NarikNgbAutoCompleteModule = /** @class */ (function () {
        function NarikNgbAutoCompleteModule() {
        }
        return NarikNgbAutoCompleteModule;
    }());
    /** @nocollapse */ NarikNgbAutoCompleteModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbAutoCompleteModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbAutoCompleteModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbAutoCompleteModule, declarations: [NarikNgbAutoComplete], imports: [i1.CommonModule, i2.FormsModule, i1$1.NgbTypeaheadModule], exports: [NarikNgbAutoComplete] });
    /** @nocollapse */ NarikNgbAutoCompleteModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbAutoCompleteModule, providers: [], imports: [[i1.CommonModule, i2.FormsModule, i1$1.NgbTypeaheadModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbAutoCompleteModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule, i2.FormsModule, i1$1.NgbTypeaheadModule],
                        declarations: [NarikNgbAutoComplete],
                        exports: [NarikNgbAutoComplete],
                        providers: [],
                    }]
            }] });

    var NarikNgbBusyIndicator = /** @class */ (function () {
        function NarikNgbBusyIndicator() {
        }
        NarikNgbBusyIndicator.prototype.setBusy = function (newState, msg) {
            this.isBusy = newState;
        };
        return NarikNgbBusyIndicator;
    }());
    /** @nocollapse */ NarikNgbBusyIndicator.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbBusyIndicator, deps: [], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbBusyIndicator.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbBusyIndicator, selector: "narik-ngb-busy-indicator , narik-busy-indicator", inputs: { isBusy: "isBusy" }, providers: [
            {
                provide: appCore.BusyIndicator,
                useExisting: i0.forwardRef((function () { return NarikNgbBusyIndicator; })),
            },
        ], ngImport: i0__namespace, template: "<ng-content></ng-content>\n<div class=\"loading-panel\" *ngIf=\"isBusy\"></div>\n<div *ngIf=\"isBusy\" id=\"loader-wrapper\">\n  <div class=\"spinner-border text-primary\" role=\"status\">\n    <span class=\"sr-only\">Loading...</span>\n  </div>\n</div>\n", styles: [".loading-panel{width:100%;position:absolute;top:0;left:0;bottom:0;right:0;background-color:#fff;opacity:.4;z-index:50000}#loader-wrapper{width:64px;height:64px;position:absolute;left:50%;top:50%;z-index:1000;margin-left:-20px;margin-top:-20px}"], directives: [{ type: i1__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbBusyIndicator, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-busy-indicator , narik-busy-indicator',
                        templateUrl: 'narik-ngb-busy-indicator.component.html',
                        styleUrls: ['narik-ngb-busy-indicator.component.css'],
                        providers: [
                            {
                                provide: appCore.BusyIndicator,
                                useExisting: i0.forwardRef((function () { return NarikNgbBusyIndicator; })),
                            },
                        ],
                    }]
            }], propDecorators: { isBusy: [{
                    type: i0.Input
                }] } });

    var NarikNgbBusyIndicatorModule = /** @class */ (function () {
        function NarikNgbBusyIndicatorModule() {
        }
        return NarikNgbBusyIndicatorModule;
    }());
    /** @nocollapse */ NarikNgbBusyIndicatorModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbBusyIndicatorModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbBusyIndicatorModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbBusyIndicatorModule, declarations: [NarikNgbBusyIndicator], imports: [i1.CommonModule, i4.TranslateModule], exports: [NarikNgbBusyIndicator] });
    /** @nocollapse */ NarikNgbBusyIndicatorModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbBusyIndicatorModule, providers: [], imports: [[i1.CommonModule, i4.TranslateModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbBusyIndicatorModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule, i4.TranslateModule],
                        declarations: [NarikNgbBusyIndicator],
                        exports: [NarikNgbBusyIndicator],
                        providers: [],
                    }]
            }] });

    var NarikNgbButtonComponent = /** @class */ (function (_super) {
        __extends(NarikNgbButtonComponent, _super);
        function NarikNgbButtonComponent(renderer, injector) {
            var _this = _super.call(this, injector) || this;
            _this.renderer = renderer;
            return _this;
        }
        NarikNgbButtonComponent.prototype.onClick = function (event) {
            event.stopPropagation();
        };
        NarikNgbButtonComponent.prototype.ngOnInit = function () {
            _super.prototype.ngOnInit.call(this);
            this.buttonStyle = this.buttonStyle || this.defaultOptions.buttonStyle;
            this.busyFontIcon =
                this.busyFontIcon || this.defaultOptions.busyFontIcon;
        };
        NarikNgbButtonComponent.prototype.ngAfterViewInit = function () { };
        NarikNgbButtonComponent.prototype.buttonClick = function (e) {
            if (!this.disable && !this.isBusy) {
                this.nClick.emit({
                    sender: this,
                    event: e,
                });
            }
        };
        return NarikNgbButtonComponent;
    }(uiCore.NarikButton));
    /** @nocollapse */ NarikNgbButtonComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbButtonComponent, deps: [{ token: i0__namespace.Renderer2 }, { token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbButtonComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbButtonComponent, selector: "narik-ngb-button , narik-button ", host: { listeners: { "click": "onClick($event)" } }, usesInheritance: true, ngImport: i0__namespace, template: "<button\n  ngbTooltip=\"{{(tooltip ?  (tooltip | translate) : '') + ( options.appendShortcutToTooltip && shortcut ? '(' + (shortcut | shortcut) +')' : '' )}}\"\n  container=\"body\"\n  placement=\"bottom\" (click)=\"buttonClick($event)\" [disabled]=\"disable || isBusy\" class=\"btn btn-{{buttonStyle}}\"\n  type=\"button\" [ngClass]='cssClass'>\n  <span *ngIf=\"isBusy\" class=\"mx-1 spinner-border spinner-border-sm\" role=\"status\" aria-hidden=\"true\"></span>\n  <i *ngIf=\"icon\" class=\"fa fa-{{icon}}\"></i>\n  {{ isBusy && busyLabel ? busyLabel : label}}\n</button>", directives: [{ type: i1__namespace$1.NgbTooltip, selector: "[ngbTooltip]", inputs: ["animation", "autoClose", "placement", "triggers", "container", "disableTooltip", "tooltipClass", "openDelay", "closeDelay", "ngbTooltip"], outputs: ["shown", "hidden"], exportAs: ["ngbTooltip"] }, { type: i1__namespace.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i1__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], pipes: { "translate": i4__namespace.TranslatePipe, "shortcut": i9__namespace.ShortcutPipe } });
    __decorate([
        core.NarikInject(uiCore.BUTTON_DEFAULT_OPTIONS, {
            buttonStyle: 'secondary',
            busyFontIcon: 'fa-spinner',
        }),
        __metadata("design:type", Object)
    ], NarikNgbButtonComponent.prototype, "defaultOptions", void 0);
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbButtonComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-button , narik-button ',
                        templateUrl: 'narik-ngb-button.component.html',
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Renderer2 }, { type: i0__namespace.Injector }]; }, propDecorators: { defaultOptions: [], onClick: [{
                    type: i0.HostListener,
                    args: ['click', ['$event']]
                }] } });

    var NarikNgbButtonModule = /** @class */ (function () {
        function NarikNgbButtonModule() {
        }
        return NarikNgbButtonModule;
    }());
    /** @nocollapse */ NarikNgbButtonModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbButtonModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbButtonModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbButtonModule, declarations: [NarikNgbButtonComponent], imports: [i1.CommonModule,
            i1$1.NgbTooltipModule,
            i4.TranslateModule,
            i9.NarikCommonModule], exports: [NarikNgbButtonComponent] });
    /** @nocollapse */ NarikNgbButtonModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbButtonModule, providers: [], imports: [[
                i1.CommonModule,
                i1$1.NgbTooltipModule,
                i4.TranslateModule,
                i9.NarikCommonModule,
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbButtonModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i1.CommonModule,
                            i1$1.NgbTooltipModule,
                            i4.TranslateModule,
                            i9.NarikCommonModule,
                        ],
                        declarations: [NarikNgbButtonComponent],
                        exports: [NarikNgbButtonComponent],
                        providers: [],
                    }]
            }] });

    var NarikNgbCheckBox = /** @class */ (function (_super) {
        __extends(NarikNgbCheckBox, _super);
        function NarikNgbCheckBox(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgbCheckBox;
    }(uiCore.NarikCheckBox));
    /** @nocollapse */ NarikNgbCheckBox.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBox, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbCheckBox.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbCheckBox, selector: "narik-ngb-checkbox , narik-checkbox", inputs: { tag: "tag", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
            {
                provide: i2.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgbCheckBox; })),
                multi: true,
            },
            {
                provide: uiCore.NarikCheckBox,
                useExisting: i0.forwardRef((function () { return NarikNgbCheckBox; })),
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "<div class=\"form-check\">\n  <input [attr.disabled]=\"disabled || null\" class=\"form-check-input\" type=\"checkbox\"\n  [(ngModel)]=\"value\" id=\"{{id}}\">\n  <label class=\"form-check-label\" for=\"{{id}}\">\n    {{label}}\n  </label>\n</div>\n", directives: [{ type: i2__namespace.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { type: i2__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i2__namespace.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBox, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-checkbox , narik-checkbox',
                        templateUrl: 'narik-ngb-checkbox.component.html',
                        inputs: __spreadArray([], __read(NARIK_CHECKBOX_INPUTS)),
                        providers: [
                            {
                                provide: i2.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgbCheckBox; })),
                                multi: true,
                            },
                            {
                                provide: uiCore.NarikCheckBox,
                                useExisting: i0.forwardRef((function () { return NarikNgbCheckBox; })),
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; } });

    var NarikNgbCheckBoxModule = /** @class */ (function () {
        function NarikNgbCheckBoxModule() {
        }
        return NarikNgbCheckBoxModule;
    }());
    /** @nocollapse */ NarikNgbCheckBoxModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBoxModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbCheckBoxModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBoxModule, declarations: [NarikNgbCheckBox], imports: [i1.CommonModule, i2.FormsModule], exports: [NarikNgbCheckBox] });
    /** @nocollapse */ NarikNgbCheckBoxModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBoxModule, providers: [], imports: [[i1.CommonModule, i2.FormsModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBoxModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule, i2.FormsModule],
                        declarations: [NarikNgbCheckBox],
                        exports: [NarikNgbCheckBox],
                        providers: [],
                    }]
            }] });

    var NarikNgbCheckBoxList = /** @class */ (function (_super) {
        __extends(NarikNgbCheckBoxList, _super);
        function NarikNgbCheckBoxList(injector) {
            var _this = _super.call(this, injector) || this;
            _this.itemsData = [];
            _this._layoutDirection = 'vertical';
            return _this;
        }
        Object.defineProperty(NarikNgbCheckBoxList.prototype, "layoutDirection", {
            get: function () {
                return this._layoutDirection;
            },
            set: function (value) {
                this._layoutDirection = value;
            },
            enumerable: false,
            configurable: true
        });
        NarikNgbCheckBoxList.prototype.useData = function (data) {
            this.itemsData = data;
        };
        return NarikNgbCheckBoxList;
    }(uiCore.NarikCheckBoxList));
    /** @nocollapse */ NarikNgbCheckBoxList.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBoxList, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbCheckBoxList.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbCheckBoxList, selector: "narik-ngb-checkbox-list , narik-checkbox-list", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options", layoutDirection: "layoutDirection" }, providers: [
            {
                provide: i2.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgbCheckBoxList; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "<div class=\"form-group\">\n  <label for=\"{{id}}\">{{label}}</label>\n  <div class=\"form-check-container p-1 pl-2\">\n    <div [ngClass]=\"{ 'vertical-content': layoutDirection == 'vertical' }\">\n      <narik-checkbox *ngFor=\"let item of itemsData\" (change)=\"addOrRemove(valueField ? item[valueField] : item)\"\n        [tag]=\"valueField ? item[valueField] : item\" label=\"{{ item[displayField] }}\">\n      </narik-checkbox>\n    </div>\n  </div>\n</div>\n", styles: [".form-check-container{border:1px solid #ced4da;border-radius:.25rem}"], components: [{ type: NarikNgbCheckBox, selector: "narik-ngb-checkbox , narik-checkbox", inputs: ["tag", "id", "name", "label", "disabled", "required", "readOnly", "placeHolder", "options"] }], directives: [{ type: i1__namespace.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i1__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBoxList, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-checkbox-list , narik-checkbox-list',
                        templateUrl: 'narik-ngb-checkbox-list.component.html',
                        styleUrls: ['narik-ngb-checkbox-list.component.css'],
                        inputs: __spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_INPUTS)),
                        providers: [
                            {
                                provide: i2.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgbCheckBoxList; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; }, propDecorators: { layoutDirection: [{
                    type: i0.Input
                }] } });

    var NarikNgbCheckBoxListModule = /** @class */ (function () {
        function NarikNgbCheckBoxListModule() {
        }
        return NarikNgbCheckBoxListModule;
    }());
    /** @nocollapse */ NarikNgbCheckBoxListModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBoxListModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbCheckBoxListModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBoxListModule, declarations: [NarikNgbCheckBoxList], imports: [i1.CommonModule, i2.FormsModule, NarikNgbCheckBoxModule], exports: [NarikNgbCheckBoxList] });
    /** @nocollapse */ NarikNgbCheckBoxListModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBoxListModule, providers: [], imports: [[i1.CommonModule, i2.FormsModule, NarikNgbCheckBoxModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCheckBoxListModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule, i2.FormsModule, NarikNgbCheckBoxModule],
                        declarations: [NarikNgbCheckBoxList],
                        exports: [NarikNgbCheckBoxList],
                        providers: [],
                    }]
            }] });

    var NarikNgbDataTable = /** @class */ (function (_super) {
        __extends(NarikNgbDataTable, _super);
        function NarikNgbDataTable(injector, changeDetector, document) {
            var _this = _super.call(this, injector) || this;
            _this.changeDetector = changeDetector;
            _this.document = document;
            return _this;
        }
        return NarikNgbDataTable;
    }(uiCore.NarikDataTable));
    /** @nocollapse */ NarikNgbDataTable.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDataTable, deps: [{ token: i0__namespace.Injector }, { token: i0__namespace.ChangeDetectorRef }, { token: i1.DOCUMENT }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbDataTable.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbDataTable, selector: "narik-ngb-data-table , narik-data-table", usesInheritance: true, ngImport: i0__namespace, template: "" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDataTable, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-data-table , narik-data-table',
                        templateUrl: 'narik-ngb-data-table.component.html',
                    }]
            }], ctorParameters: function () {
            return [{ type: i0__namespace.Injector }, { type: i0__namespace.ChangeDetectorRef }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [i1.DOCUMENT]
                        }] }];
        } });

    var NarikNgbDataTableModule = /** @class */ (function () {
        function NarikNgbDataTableModule() {
        }
        return NarikNgbDataTableModule;
    }());
    /** @nocollapse */ NarikNgbDataTableModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDataTableModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbDataTableModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDataTableModule, declarations: [NarikNgbDataTable], imports: [i1.CommonModule, i2.FormsModule, i4.TranslateModule], exports: [NarikNgbDataTable] });
    /** @nocollapse */ NarikNgbDataTableModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDataTableModule, providers: [], imports: [[i1.CommonModule, i2.FormsModule, i4.TranslateModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDataTableModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule, i2.FormsModule, i4.TranslateModule],
                        declarations: [NarikNgbDataTable],
                        exports: [NarikNgbDataTable],
                        providers: [],
                    }]
            }] });

    var NarikNgbDatePicker = /** @class */ (function (_super) {
        __extends(NarikNgbDatePicker, _super);
        function NarikNgbDatePicker(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgbDatePicker;
    }(uiCore.NarikDatePicker));
    /** @nocollapse */ NarikNgbDatePicker.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDatePicker, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbDatePicker.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbDatePicker, selector: "narik-ngb-date-picker , narik-date-picker", inputs: { id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
            {
                provide: i2.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgbDatePicker; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "<div class=\"form-group\">\n  <label for=\"{{id}}\">{{label}}</label>\n\n  <div class=\"input-group\">\n    <input [required]=\"required\" [attr.disabled]=\"disabled || null\" class=\"form-control\" id=\"{{id}}\" placeholder=\"{{placeHolder}}\" name=\"dp\"\n      [(ngModel)]=\"value\" ngbDatepicker #d=\"ngbDatepicker\">\n    <div class=\"input-group-append\">\n      <button class=\"btn btn-outline-secondary\" (click)=\"d.toggle()\" type=\"button\">\n        <i class=\"fa fa-calendar-alt\" aria-hidden=\"true\"></i>\n      </button>\n    </div>\n  </div>\n\n</div>\n", directives: [{ type: i1__namespace$1.NgbInputDatepicker, selector: "input[ngbDatepicker]", inputs: ["showWeekdays", "weekdays", "disabled", "autoClose", "datepickerClass", "dayTemplate", "dayTemplateData", "displayMonths", "firstDayOfWeek", "footerTemplate", "markDisabled", "minDate", "maxDate", "navigation", "outsideDays", "placement", "restoreFocus", "showWeekNumbers", "startDate", "container", "positionTarget"], outputs: ["dateSelect", "navigate", "closed"], exportAs: ["ngbDatepicker"] }, { type: i2__namespace.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i2__namespace.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { type: i2__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i2__namespace.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDatePicker, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-date-picker , narik-date-picker',
                        templateUrl: 'narik-ngb-date-picker.component.html',
                        inputs: __spreadArray([], __read(NARIK_DATE_PICKER_INPUTS)),
                        providers: [
                            {
                                provide: i2.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgbDatePicker; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; } });

    var NarikNgbDatePickerModule = /** @class */ (function () {
        function NarikNgbDatePickerModule() {
        }
        return NarikNgbDatePickerModule;
    }());
    /** @nocollapse */ NarikNgbDatePickerModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDatePickerModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbDatePickerModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDatePickerModule, declarations: [NarikNgbDatePicker], imports: [i1.CommonModule, i2.FormsModule, i1$1.NgbDatepickerModule, i4.TranslateModule], exports: [NarikNgbDatePicker] });
    /** @nocollapse */ NarikNgbDatePickerModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDatePickerModule, providers: [{ provide: i1$1.NgbDateAdapter, useClass: i1$1.NgbDateNativeAdapter }], imports: [[i1.CommonModule, i2.FormsModule, i1$1.NgbDatepickerModule, i4.TranslateModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDatePickerModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule, i2.FormsModule, i1$1.NgbDatepickerModule, i4.TranslateModule],
                        declarations: [NarikNgbDatePicker],
                        exports: [NarikNgbDatePicker],
                        providers: [{ provide: i1$1.NgbDateAdapter, useClass: i1$1.NgbDateNativeAdapter }],
                    }]
            }] });

    var NarikNgbInput = /** @class */ (function (_super) {
        __extends(NarikNgbInput, _super);
        function NarikNgbInput(injector) {
            return _super.call(this, injector) || this;
        }
        Object.defineProperty(NarikNgbInput.prototype, "icon", {
            get: function () {
                return this._icon;
            },
            set: function (value) {
                this._icon = value;
            },
            enumerable: false,
            configurable: true
        });
        return NarikNgbInput;
    }(uiCore.NarikInput));
    /** @nocollapse */ NarikNgbInput.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbInput, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbInput.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbInput, selector: "narik-ngb-input , narik-input", inputs: { maxlength: "maxlength", type: "type", mask: "mask", icon: "icon", displayStatus: "displayStatus", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
            {
                provide: i2.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgbInput; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "<div class=\"form-group \">\n  <label for=\"{{id}}\">{{label}}</label>\n  <div class=\"input-group mb-3\" *ngIf=\"icon\">\n    <div class=\"input-group-prepend\">\n      <span class=\"input-group-text\"><i class=\"fa fa-{{icon}}\"></i></span>\n    </div>\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\n  </div>\n  <ng-container *ngIf=\"!icon\">\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\n  </ng-container>\n\n</div>\n<ng-template #inputElement>\n  <input [(ngModel)]=\"value\" [attr.disabled]=\"disabled || null\" type=\"{{type}}\" name=\"{{name}}\" [required]=\"required\"\n    class=\"form-control\" id=\"{{id}}\" placeholder=\"{{placeHolder}}\">\n</ng-template>", directives: [{ type: i1__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1__namespace.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }, { type: i2__namespace.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i2__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i2__namespace.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: i2__namespace.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbInput, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-input , narik-input',
                        templateUrl: 'narik-ngb-input.component.html',
                        inputs: __spreadArray([], __read(NARIK_INPUT_INPUTS)),
                        providers: [
                            {
                                provide: i2.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgbInput; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; }, propDecorators: { icon: [{
                    type: i0.Input
                }] } });

    var NarikNgbInputModule = /** @class */ (function () {
        function NarikNgbInputModule() {
        }
        return NarikNgbInputModule;
    }());
    /** @nocollapse */ NarikNgbInputModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbInputModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbInputModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbInputModule, declarations: [NarikNgbInput], imports: [i1.CommonModule, i2.FormsModule], exports: [NarikNgbInput] });
    /** @nocollapse */ NarikNgbInputModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbInputModule, providers: [], imports: [[i1.CommonModule, i2.FormsModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbInputModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule, i2.FormsModule],
                        declarations: [NarikNgbInput],
                        exports: [NarikNgbInput],
                        providers: [],
                    }]
            }] });

    var NarikNgbRadioGroup = /** @class */ (function (_super) {
        __extends(NarikNgbRadioGroup, _super);
        function NarikNgbRadioGroup(injector) {
            var _this = _super.call(this, injector) || this;
            _this.itemsData = [];
            _this._layoutDirection = 'vertical';
            return _this;
        }
        Object.defineProperty(NarikNgbRadioGroup.prototype, "layoutDirection", {
            get: function () {
                return this._layoutDirection;
            },
            set: function (value) {
                this._layoutDirection = value;
            },
            enumerable: false,
            configurable: true
        });
        NarikNgbRadioGroup.prototype.useData = function (data) {
            this.itemsData = data;
        };
        return NarikNgbRadioGroup;
    }(uiCore.NarikRadioGroup));
    /** @nocollapse */ NarikNgbRadioGroup.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbRadioGroup, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbRadioGroup.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbRadioGroup, selector: "narik-ngb-radio-group , narik-radio-group", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options", layoutDirection: "layoutDirection" }, providers: [
            {
                provide: i2.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgbRadioGroup; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "<div class=\"form-group\">\n  <label for=\"{{id}}\">{{label}}</label>\n  <div class=\"form-check-container p-1 pl-2\">\n    <div class=\"form-check \" [ngClass]=\"{'form-check-inline': layoutDirection==='horizontal'}\"\n      *ngFor=\"let item of itemsData;let i=index\">\n      <input [required]=\"required\" [attr.disabled]=\"disabled || null\" class=\"form-check-input\" type=\"radio\" name=\"{{name}}\" id=\"{{id+i}}\"\n        value=\"{{item[valueField]}}\" checked>\n      <label class=\"form-check-label\" for=\"{{id+i}}\">\n        {{item[displayField]}}\n      </label>\n    </div>\n  </div>\n</div>\n", styles: [".form-check-container{border:1px solid #ced4da;border-radius:.25rem}"], directives: [{ type: i1__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1__namespace.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbRadioGroup, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-radio-group , narik-radio-group',
                        templateUrl: 'narik-ngb-radio-group.component.html',
                        styleUrls: ['narik-ngb-radio-group.component.css'],
                        inputs: __spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_INPUTS)),
                        providers: [
                            {
                                provide: i2.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgbRadioGroup; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; }, propDecorators: { layoutDirection: [{
                    type: i0.Input
                }] } });

    var NarikNgbRadioGroupModule = /** @class */ (function () {
        function NarikNgbRadioGroupModule() {
        }
        return NarikNgbRadioGroupModule;
    }());
    /** @nocollapse */ NarikNgbRadioGroupModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbRadioGroupModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbRadioGroupModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbRadioGroupModule, declarations: [NarikNgbRadioGroup], imports: [i1.CommonModule, i2.FormsModule], exports: [NarikNgbRadioGroup] });
    /** @nocollapse */ NarikNgbRadioGroupModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbRadioGroupModule, providers: [], imports: [[i1.CommonModule, i2.FormsModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbRadioGroupModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule, i2.FormsModule],
                        declarations: [NarikNgbRadioGroup],
                        exports: [NarikNgbRadioGroup],
                        providers: [],
                    }]
            }] });

    var NarikNgbSelect = /** @class */ (function (_super) {
        __extends(NarikNgbSelect, _super);
        function NarikNgbSelect(injector) {
            var _this = _super.call(this, injector) || this;
            _this.optionData = [];
            return _this;
        }
        NarikNgbSelect.prototype.useData = function (data) {
            this.optionData = data;
        };
        return NarikNgbSelect;
    }(uiCore.NarikSelect));
    /** @nocollapse */ NarikNgbSelect.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbSelect, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbSelect.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbSelect, selector: "narik-ngb-select , narik-select", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options", multiple: "multiple", icon: "icon" }, outputs: { dataChange: "dataChange", selectedItemChange: "selectedItemChange" }, providers: [
            {
                provide: i2.NG_VALUE_ACCESSOR,
                useExisting: i0.forwardRef((function () { return NarikNgbSelect; })),
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "<div class=\"form-group\">\n  <label for=\"{{id}}\">{{label}}</label>\n  <div class=\"input-group mb-3\" *ngIf=\"icon\">\n    <div class=\"input-group-prepend\">\n      <span class=\"input-group-text\"><i class=\"fa fa-{{icon}}\"></i></span>\n    </div>\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\n  </div>\n  <ng-container *ngIf=\"!icon\">\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\n  </ng-container>\n\n</div>\n<ng-template #inputElement>\n\n  <select [required]=\"required\" class=\"custom-select\" [(ngModel)]=\"value\" [attr.disabled]=\"disabled || null\"\n    id=\"{{id}}\">\n    <option *ngFor=\"let item of optionData\" [value]=\"item[valueField]\">{{item[displayField]}}</option>\n  </select>\n\n\n\n</ng-template>", styles: [".select-clear{position:absolute;left:-2px;top:-30px}.search-input{padding:16px;box-sizing:border-box}.search-continer{border-bottom:1px solid rgba(0,0,0,.12);top:0;width:100%;position:sticky;background-color:#fff;z-index:10000}"], directives: [{ type: i1__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1__namespace.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }, { type: i2__namespace.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { type: i2__namespace.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { type: i2__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i2__namespace.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: i1__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i2__namespace.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { type: i2__namespace.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbSelect, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-select , narik-select',
                        templateUrl: 'narik-ngb-select.component.html',
                        styleUrls: ['narik-ngb-select.component.css'],
                        inputs: __spreadArray(__spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_INPUTS)), __read(NARIK_SELECT_INPUTS)),
                        outputs: __spreadArray([], __read(NARIK_DATA_DISPLAY_VALUE_OUTPUTS)),
                        providers: [
                            {
                                provide: i2.NG_VALUE_ACCESSOR,
                                useExisting: i0.forwardRef((function () { return NarikNgbSelect; })),
                                multi: true,
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; }, propDecorators: { icon: [{
                    type: i0.Input
                }] } });

    var NarikNgbSelectModule = /** @class */ (function () {
        function NarikNgbSelectModule() {
        }
        return NarikNgbSelectModule;
    }());
    /** @nocollapse */ NarikNgbSelectModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbSelectModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbSelectModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbSelectModule, declarations: [NarikNgbSelect], imports: [i1.CommonModule, i2.FormsModule], exports: [NarikNgbSelect] });
    /** @nocollapse */ NarikNgbSelectModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbSelectModule, providers: [], imports: [[i1.CommonModule, i2.FormsModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbSelectModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule, i2.FormsModule],
                        declarations: [NarikNgbSelect],
                        exports: [NarikNgbSelect],
                        providers: [],
                    }]
            }] });

    var NarikNgbDynamicForm = /** @class */ (function (_super) {
        __extends(NarikNgbDynamicForm, _super);
        function NarikNgbDynamicForm(injector, viewContainerRef) {
            var _this = _super.call(this, injector, viewContainerRef) || this;
            _this.columnWidth = 100;
            _this.fieldsArray = new Map();
            return _this;
        }
        NarikNgbDynamicForm.prototype.ngOnInit = function () {
            var _this = this;
            _super.prototype.ngOnInit.call(this);
            if (this.columnsCount === 1) {
                this.layoutGap = 0;
            }
            if (this.groupFields) {
                var data = i9.groupBy(this.fields, 'options.groupIndex');
                data.forEach(function (x) { return _this.fieldsArray.set(x.key && x.key !== 'undefined' ? +x.key : 0, x.value); });
                this.groupCount =
                    Math.max.apply(Math, __spreadArray([], __read(this.fieldsArray.entriesArray().map(function (x) { return x.key; })))) +
                        1;
            }
            this.columnWidth = 100 / this.columnsCount;
        };
        return NarikNgbDynamicForm;
    }(uiCore.NarikDynamicForm));
    /** @nocollapse */ NarikNgbDynamicForm.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDynamicForm, deps: [{ token: i0__namespace.Injector }, { token: i0__namespace.ViewContainerRef }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbDynamicForm.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbDynamicForm, selector: "narik-dynamic-form , narik-ngb-dynamic-form", providers: [
            {
                provide: uiCore.NarikDynamicForm,
                useExisting: i0.forwardRef((function () { return NarikNgbDynamicForm; })),
            },
        ], usesInheritance: true, ngImport: i0__namespace, template: "<div\n  [tab-guard]=\"activeTabGuard\"\n  [auto-focus]=\"activeAutoFocus\"\n  [autoFocusContainerName]=\"defaultFocusField\"\n  fxLayout=\"{{ columnsCount === 1 ? 'column' : 'row wrap' }} \"\n  fxLayout.xs=\"column\"\n  fxLayoutGap.xs=\"0\"\n  fxLayoutGap=\"{{ layoutGap }}px\"\n  fxLayoutAlign=\"flex-start\"\n>\n  <ng-container *ngIf=\"!groupFields\">\n    <div\n      fxFlex.gt-xs=\"0 1 calc({{ columnWidth }}% - {{ layoutGap }}px)\"\n      fxFlex=\"100%\"\n      *ngFor=\"let item of fields; let i = index\"\n    >\n      <ng-container\n        *ngTemplateOutlet=\"\n          fieldContainer;\n          context: {\n            $implicit: item,\n            invisibleItems: invisibleItems,\n            disableItems: disableItems,\n            model: model,\n            form: form\n          }\n        \"\n      ></ng-container>\n    </div>\n  </ng-container>\n  <ng-container *ngIf=\"groupFields\">\n    <div\n      fxFlex.gt-xs=\"0 1 calc({{ columnWidth }}% - {{ layoutGap }}px)\"\n      fxFlex=\"100%\"\n      *ngFor=\"let item of [].constructor(groupCount); let i = index\"\n    >\n      <div fxLayout=\"column\" class=\"narik-form-group\">\n        <div *ngFor=\"let item of fieldsArray.get(i); let j = index\">\n          <ng-container\n            *ngTemplateOutlet=\"\n              fieldContainer;\n              context: {\n                $implicit: item,\n                invisibleItems: invisibleItems,\n                disableItems: disableItems,\n                model: model,\n                form: form\n              }\n            \"\n          ></ng-container>\n        </div>\n      </div>\n    </div>\n  </ng-container>\n</div>\n\n<ng-template\n  #fieldContainer\n  let-item\n  let-invisibleItems=\"invisibleItems\"\n  let-model=\"model\"\n  let-form=\"form\"\n  let-disableItems=\"disableItems\"\n>\n  <ng-container\n    [formGroup]=\"form\"\n    *ngIf=\"!item.hideExpr || !invisibleItems[item.name]\"\n  >\n    <ng-container *ngIf=\"!customFormComponentKeysObject[item.type || 'text']\">\n      <ng-container\n        *ngIf=\"\n          !item.type ||\n          item.type == 'text' ||\n          item.type == 'number' ||\n          item.type == 'time' ||\n          item.type == 'textArea' ||\n          item.type == 'password'\n        \"\n      >\n        <narik-input\n          [name]=\"item.name\"\n          [required]=\"item.required\"\n          placeHolder=\"{{ item.options.placeHolder | translate }}\"\n          [type]=\"item.type || 'text'\"\n          label=\"{{ item.label | translate }}\"\n          [formControlName]=\"item.model\"\n          [options]=\"item.options\"\n        >\n        </narik-input>\n      </ng-container>\n      <ng-container *ngIf=\"item.type == 'boolean'\">\n        <narik-checkbox\n          [name]=\"item.name\"\n          [options]=\"item.options\"\n          [formControlName]=\"item.model\"\n          label=\"{{ item.label | translate }}\"\n        >\n        </narik-checkbox>\n      </ng-container>\n      <ng-container *ngIf=\"item.type == 'date'\">\n        <narik-date-picker\n          [options]=\"item.options\"\n          [name]=\"item.name\"\n          [required]=\"item.required\"\n          placeHolder=\"{{ item.options.placeHolder | translate }}\"\n          [formControlName]=\"item.model\"\n          label=\"{{ item.label | translate }}\"\n        ></narik-date-picker>\n      </ng-container>\n      <ng-container *ngIf=\"item.type == 'select'\">\n        <narik-select\n          [options]=\"item.options\"\n          [name]=\"item.name\"\n          [required]=\"item.required\"\n          placeHolder=\"{{ item.options.placeHolder | translate }}\"\n          [dataInfo]=\"item.dataInfo\"\n          label=\"{{ item.label | translate }}\"\n          [formControlName]=\"item.model\"\n        ></narik-select>\n      </ng-container>\n      <ng-container *ngIf=\"item.type == 'autoComplete'\">\n        <narik-autocomplete\n          [options]=\"item.options\"\n          [name]=\"item.name\"\n          [required]=\"item.required\"\n          placeHolder=\"{{ item.options.placeHolder | translate }}\"\n          [minSearchLength]=\"item.options.minSearchLength || 0\"\n          [isLazyLoadData]=\"item.options.isLazyLoadData\"\n          [dataInfo]=\"item.dataInfo\"\n          label=\"{{ item.label | translate }}\"\n          [formControlName]=\"item.model\"\n        ></narik-autocomplete>\n      </ng-container>\n      <ng-container *ngIf=\"item.type == 'radio'\">\n        <narik-radio-group\n          [options]=\"item.options\"\n          [name]=\"item.name\"\n          [required]=\"item.required\"\n          placeHolder=\"{{ item.options.placeHolder | translate }}\"\n          [dataInfo]=\"item.dataInfo\"\n          label=\"{{ item.label | translate }}\"\n          [formControlName]=\"item.model\"\n        ></narik-radio-group>\n      </ng-container>\n      <ng-container *ngIf=\"item.type == 'checkList'\">\n        <narik-checkbox-list\n          [options]=\"item.options\"\n          [name]=\"item.name\"\n          [required]=\"item.required\"\n          placeHolder=\"{{ item.options.placeHolder | translate }}\"\n          [dataInfo]=\"item.dataInfo\"\n          label=\"{{ item.label | translate }}\"\n          [formControlName]=\"item.model\"\n        ></narik-checkbox-list>\n      </ng-container>\n      <ng-container *ngIf=\"item.type == 'table-select'\"> </ng-container>\n    </ng-container>\n    <ng-container *ngIf=\"customFormComponentKeysObject[item.type || 'text']\">\n      <ng-container\n        *narikComponentLoader=\"\n          customFormComponentKeysObject[item.type || 'text'];\n          bindings: {\n            field: item,\n            model: model\n          };\n          bindingSource: this;\n          parameters: {\n            form: form\n          }\n        \"\n      ></ng-container>\n    </ng-container>\n  </ng-container>\n</ng-template>\n", components: [{ type: NarikNgbInput, selector: "narik-ngb-input , narik-input", inputs: ["maxlength", "type", "mask", "icon", "displayStatus", "id", "name", "label", "disabled", "required", "readOnly", "placeHolder", "options"] }, { type: NarikNgbCheckBox, selector: "narik-ngb-checkbox , narik-checkbox", inputs: ["tag", "id", "name", "label", "disabled", "required", "readOnly", "placeHolder", "options"] }, { type: NarikNgbDatePicker, selector: "narik-ngb-date-picker , narik-date-picker", inputs: ["id", "name", "label", "disabled", "required", "readOnly", "placeHolder", "options"] }, { type: NarikNgbSelect, selector: "narik-ngb-select , narik-select", inputs: ["displayField", "valueField", "listenForDataChange", "dataSource", "dataKey", "dataUrl", "dataInfo", "dataProviderKey", "dataParameters", "moduleKey", "dataMethod", "dataUrlMethod", "id", "name", "label", "disabled", "required", "readOnly", "placeHolder", "options", "multiple", "icon"], outputs: ["dataChange", "selectedItemChange"] }, { type: NarikNgbAutoComplete, selector: "narik-ngb-autocomplete  , narik-autocomplete ", inputs: ["displayField", "valueField", "listenForDataChange", "dataSource", "dataKey", "dataUrl", "dataInfo", "dataProviderKey", "dataParameters", "moduleKey", "dataMethod", "dataUrlMethod", "id", "name", "label", "disabled", "required", "readOnly", "placeHolder", "options", "icon"], outputs: ["dataChange", "selectedItemChange"] }, { type: NarikNgbRadioGroup, selector: "narik-ngb-radio-group , narik-radio-group", inputs: ["displayField", "valueField", "listenForDataChange", "dataSource", "dataKey", "dataUrl", "dataInfo", "dataProviderKey", "dataParameters", "moduleKey", "dataMethod", "dataUrlMethod", "id", "name", "label", "disabled", "required", "readOnly", "placeHolder", "options", "layoutDirection"] }, { type: NarikNgbCheckBoxList, selector: "narik-ngb-checkbox-list , narik-checkbox-list", inputs: ["displayField", "valueField", "listenForDataChange", "dataSource", "dataKey", "dataUrl", "dataInfo", "dataProviderKey", "dataParameters", "moduleKey", "dataMethod", "dataUrlMethod", "id", "name", "label", "disabled", "required", "readOnly", "placeHolder", "options", "layoutDirection"] }], directives: [{ type: i8__namespace.DefaultLayoutDirective, selector: "  [fxLayout], [fxLayout.xs], [fxLayout.sm], [fxLayout.md],  [fxLayout.lg], [fxLayout.xl], [fxLayout.lt-sm], [fxLayout.lt-md],  [fxLayout.lt-lg], [fxLayout.lt-xl], [fxLayout.gt-xs], [fxLayout.gt-sm],  [fxLayout.gt-md], [fxLayout.gt-lg]", inputs: ["fxLayout", "fxLayout.xs", "fxLayout.sm", "fxLayout.md", "fxLayout.lg", "fxLayout.xl", "fxLayout.lt-sm", "fxLayout.lt-md", "fxLayout.lt-lg", "fxLayout.lt-xl", "fxLayout.gt-xs", "fxLayout.gt-sm", "fxLayout.gt-md", "fxLayout.gt-lg"] }, { type: i8__namespace.DefaultLayoutGapDirective, selector: "  [fxLayoutGap], [fxLayoutGap.xs], [fxLayoutGap.sm], [fxLayoutGap.md],  [fxLayoutGap.lg], [fxLayoutGap.xl], [fxLayoutGap.lt-sm], [fxLayoutGap.lt-md],  [fxLayoutGap.lt-lg], [fxLayoutGap.lt-xl], [fxLayoutGap.gt-xs], [fxLayoutGap.gt-sm],  [fxLayoutGap.gt-md], [fxLayoutGap.gt-lg]", inputs: ["fxLayoutGap", "fxLayoutGap.xs", "fxLayoutGap.sm", "fxLayoutGap.md", "fxLayoutGap.lg", "fxLayoutGap.xl", "fxLayoutGap.lt-sm", "fxLayoutGap.lt-md", "fxLayoutGap.lt-lg", "fxLayoutGap.lt-xl", "fxLayoutGap.gt-xs", "fxLayoutGap.gt-sm", "fxLayoutGap.gt-md", "fxLayoutGap.gt-lg"] }, { type: i8__namespace.DefaultLayoutAlignDirective, selector: "  [fxLayoutAlign], [fxLayoutAlign.xs], [fxLayoutAlign.sm], [fxLayoutAlign.md],  [fxLayoutAlign.lg], [fxLayoutAlign.xl], [fxLayoutAlign.lt-sm], [fxLayoutAlign.lt-md],  [fxLayoutAlign.lt-lg], [fxLayoutAlign.lt-xl], [fxLayoutAlign.gt-xs], [fxLayoutAlign.gt-sm],  [fxLayoutAlign.gt-md], [fxLayoutAlign.gt-lg]", inputs: ["fxLayoutAlign", "fxLayoutAlign.xs", "fxLayoutAlign.sm", "fxLayoutAlign.md", "fxLayoutAlign.lg", "fxLayoutAlign.xl", "fxLayoutAlign.lt-sm", "fxLayoutAlign.lt-md", "fxLayoutAlign.lt-lg", "fxLayoutAlign.lt-xl", "fxLayoutAlign.gt-xs", "fxLayoutAlign.gt-sm", "fxLayoutAlign.gt-md", "fxLayoutAlign.gt-lg"] }, { type: i9__namespace.TabGuardDirective, selector: "[tab-guard]", inputs: ["tab-guard"] }, { type: i9__namespace.AutoFocusDirective, selector: "[auto-focus]", inputs: ["auto-focus", "autoFocusContainerName", "timeout"] }, { type: i1__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i8__namespace.DefaultFlexDirective, selector: "  [fxFlex], [fxFlex.xs], [fxFlex.sm], [fxFlex.md],  [fxFlex.lg], [fxFlex.xl], [fxFlex.lt-sm], [fxFlex.lt-md],  [fxFlex.lt-lg], [fxFlex.lt-xl], [fxFlex.gt-xs], [fxFlex.gt-sm],  [fxFlex.gt-md], [fxFlex.gt-lg]", inputs: ["fxFlex", "fxFlex.xs", "fxFlex.sm", "fxFlex.md", "fxFlex.lg", "fxFlex.xl", "fxFlex.lt-sm", "fxFlex.lt-md", "fxFlex.lt-lg", "fxFlex.lt-xl", "fxFlex.gt-xs", "fxFlex.gt-sm", "fxFlex.gt-md", "fxFlex.gt-lg"] }, { type: i1__namespace.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }, { type: i2__namespace.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i2__namespace.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i2__namespace.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { type: i2__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i2__namespace.FormControlName, selector: "[formControlName]", inputs: ["disabled", "formControlName", "ngModel"], outputs: ["ngModelChange"] }, { type: i9__namespace.NarikComponentLoaderDirective, selector: "[narikComponentLoader]", inputs: ["narikComponentLoader", "narikComponentLoaderParameters", "narikComponentLoaderBindings", "narikComponentLoaderBindingSource", "narikComponentLoaderProviders", "narikComponentLoaderEvents"] }], pipes: { "translate": i4__namespace.TranslatePipe } });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDynamicForm, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-dynamic-form , narik-ngb-dynamic-form',
                        templateUrl: 'narik-ngb-dynamic-form.component.html',
                        providers: [
                            {
                                provide: uiCore.NarikDynamicForm,
                                useExisting: i0.forwardRef((function () { return NarikNgbDynamicForm; })),
                            },
                        ],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }, { type: i0__namespace.ViewContainerRef }]; } });

    var NarikNgbDynamicFormModule = /** @class */ (function () {
        function NarikNgbDynamicFormModule() {
        }
        return NarikNgbDynamicFormModule;
    }());
    /** @nocollapse */ NarikNgbDynamicFormModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDynamicFormModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbDynamicFormModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDynamicFormModule, declarations: [NarikNgbDynamicForm], imports: [i1.CommonModule,
            i2.ReactiveFormsModule,
            i4.TranslateModule,
            NarikNgbInputModule,
            NarikNgbSelectModule,
            NarikNgbCheckBoxModule,
            NarikNgbRadioGroupModule,
            NarikNgbAutoCompleteModule,
            NarikNgbDatePickerModule,
            NarikNgbCheckBoxListModule,
            i9.NarikCommonModule,
            flexLayout.FlexLayoutModule], exports: [NarikNgbDynamicForm] });
    /** @nocollapse */ NarikNgbDynamicFormModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDynamicFormModule, providers: [], imports: [[
                i1.CommonModule,
                i2.ReactiveFormsModule,
                i4.TranslateModule,
                NarikNgbInputModule,
                NarikNgbSelectModule,
                NarikNgbCheckBoxModule,
                NarikNgbRadioGroupModule,
                NarikNgbAutoCompleteModule,
                NarikNgbDatePickerModule,
                NarikNgbCheckBoxListModule,
                i9.NarikCommonModule,
                flexLayout.FlexLayoutModule,
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDynamicFormModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i1.CommonModule,
                            i2.ReactiveFormsModule,
                            i4.TranslateModule,
                            NarikNgbInputModule,
                            NarikNgbSelectModule,
                            NarikNgbCheckBoxModule,
                            NarikNgbRadioGroupModule,
                            NarikNgbAutoCompleteModule,
                            NarikNgbDatePickerModule,
                            NarikNgbCheckBoxListModule,
                            i9.NarikCommonModule,
                            flexLayout.FlexLayoutModule,
                        ],
                        declarations: [NarikNgbDynamicForm],
                        exports: [NarikNgbDynamicForm],
                        providers: [],
                    }]
            }] });

    var NarikNgbDialogContainer = /** @class */ (function (_super) {
        __extends(NarikNgbDialogContainer, _super);
        function NarikNgbDialogContainer() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        NarikNgbDialogContainer.prototype.ngOnInit = function () { };
        return NarikNgbDialogContainer;
    }(core.NarikDialogContainer));
    /** @nocollapse */ NarikNgbDialogContainer.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDialogContainer, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbDialogContainer.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbDialogContainer, selector: "ng-component", usesInheritance: true, ngImport: i0__namespace, template: "<div\n  [@openClose]=\"isOpen ? 'open' : 'closed'\"\n  [class]=\"options.dialogCssClass\"\n  (@openClose.done)=\"_onAnimationDone($event)\"\n  class=\"modal-content\"\n  cdkDrag\n  [tab-guard]=\"true\"\n>\n  <div class=\"modal-header\">\n    <h5 cdkDragHandle class=\"modal-title\">{{ title | translate }}</h5>\n  </div>\n\n  <div class=\"modal-body\">\n    <ng-template narik-loader-host></ng-template>\n  </div>\n\n  <div\n    class=\"modal-footer\"\n    [auto-focus]=\"true\"\n    [autoFocusContainerName]=\"options.defaultAction\"\n    *ngIf=\"actions && actions.length !== 0\"\n    align=\"end\"\n  >\n    <ng-container *ngFor=\"let item of actions\">\n      <ng-container>\n        <narik-button\n          cssClass=\"btn-sm\"\n          [attr.narik-form-item-key]=\"item.dialogResult\"\n          class=\"mr-2\"\n          (nClick)=\"actionClick(item)\"\n          [color]=\"item.color\"\n          [icon]=\"item.icon\"\n          label=\"{{ 'dialog-buttons.' + item.label | translate }}\"\n        ></narik-button>\n      </ng-container>\n    </ng-container>\n  </div>\n</div>\n", styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12)}"], components: [{ type: NarikNgbButtonComponent, selector: "narik-ngb-button , narik-button " }], directives: [{ type: i9__namespace.TabGuardDirective, selector: "[tab-guard]", inputs: ["tab-guard"] }, { type: i9__namespace.ComponentLoaderHostDirective, selector: "[narik-loader-host]" }, { type: i1__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i9__namespace.AutoFocusDirective, selector: "[auto-focus]", inputs: ["auto-focus", "autoFocusContainerName", "timeout"] }, { type: i1__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }], pipes: { "translate": i4__namespace.TranslatePipe }, animations: [animations.trigger('openClose', core.DialogAnimationBody)] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDialogContainer, decorators: [{
                type: i0.Component,
                args: [{
                        templateUrl: 'narik-ngb-dialog-container.component.html',
                        styleUrls: ['narik-ngb-dialog-container.component.css'],
                        animations: [animations.trigger('openClose', core.DialogAnimationBody)],
                    }]
            }] });

    var NarikNgbInputDialog = /** @class */ (function () {
        function NarikNgbInputDialog(parameters) {
            this.entity = {};
            this.fields = [];
            if (parameters) {
                this.entity = parameters.entity;
                this.fields = parameters.fields;
            }
        }
        NarikNgbInputDialog.prototype.ngOnInit = function () { };
        return NarikNgbInputDialog;
    }());
    /** @nocollapse */ NarikNgbInputDialog.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbInputDialog, deps: [{ token: infrastructure.PARAMETERS }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbInputDialog.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbInputDialog, selector: "ng-component", ngImport: i0__namespace, template: "<div class=\"pr-2 pl-2\">\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\n</div>\n", components: [{ type: NarikNgbDynamicForm, selector: "narik-dynamic-form , narik-ngb-dynamic-form" }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbInputDialog, decorators: [{
                type: i0.Component,
                args: [{
                        templateUrl: 'narik-ngb-input-dialog.component.html',
                    }]
            }], ctorParameters: function () {
            return [{ type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [infrastructure.PARAMETERS]
                        }] }];
        } });

    var NarikNgbMessageDialog = /** @class */ (function () {
        function NarikNgbMessageDialog(parameters) {
            if (parameters) {
                this.message = parameters.message;
            }
        }
        NarikNgbMessageDialog.prototype.ngOnInit = function () { };
        return NarikNgbMessageDialog;
    }());
    /** @nocollapse */ NarikNgbMessageDialog.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbMessageDialog, deps: [{ token: infrastructure.PARAMETERS }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbMessageDialog.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbMessageDialog, selector: "ng-component", ngImport: i0__namespace, template: "<div class=\"message-container\">{{message | translate}}</div>\n", styles: [""], pipes: { "translate": i4__namespace.TranslatePipe } });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbMessageDialog, decorators: [{
                type: i0.Component,
                args: [{
                        templateUrl: 'narik-ngb-message-dialog.component.html',
                        styleUrls: ['narik-ngb-message-dialog.component.css'],
                    }]
            }], ctorParameters: function () {
            return [{ type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [infrastructure.PARAMETERS]
                        }] }];
        } });

    var NarikNgbDialogModule = /** @class */ (function () {
        function NarikNgbDialogModule() {
        }
        return NarikNgbDialogModule;
    }());
    /** @nocollapse */ NarikNgbDialogModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDialogModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbDialogModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDialogModule, declarations: [NarikNgbDialogContainer,
            NarikNgbInputDialog,
            NarikNgbMessageDialog], imports: [i1.CommonModule,
            i2.FormsModule,
            i4.TranslateModule,
            i9.NarikCommonModule,
            NarikNgbButtonModule,
            NarikNgbDynamicFormModule], exports: [NarikNgbDialogContainer,
            NarikNgbInputDialog,
            NarikNgbMessageDialog] });
    /** @nocollapse */ NarikNgbDialogModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDialogModule, providers: [
            {
                provide: infrastructure.DIALOG_CONTAINER,
                useValue: NarikNgbDialogContainer,
            },
            {
                provide: infrastructure.DIALOG_MESSAGE_COMPONENT,
                useValue: NarikNgbMessageDialog,
            },
            {
                provide: infrastructure.DIALOG_INPUT_COMPONENT,
                useValue: NarikNgbInputDialog,
            },
        ], imports: [[
                i1.CommonModule,
                i2.FormsModule,
                i4.TranslateModule,
                i9.NarikCommonModule,
                NarikNgbButtonModule,
                NarikNgbDynamicFormModule,
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbDialogModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i1.CommonModule,
                            i2.FormsModule,
                            i4.TranslateModule,
                            i9.NarikCommonModule,
                            NarikNgbButtonModule,
                            NarikNgbDynamicFormModule,
                        ],
                        declarations: [
                            NarikNgbDialogContainer,
                            NarikNgbInputDialog,
                            NarikNgbMessageDialog,
                        ],
                        exports: [
                            NarikNgbDialogContainer,
                            NarikNgbInputDialog,
                            NarikNgbMessageDialog,
                        ],
                        providers: [
                            {
                                provide: infrastructure.DIALOG_CONTAINER,
                                useValue: NarikNgbDialogContainer,
                            },
                            {
                                provide: infrastructure.DIALOG_MESSAGE_COMPONENT,
                                useValue: NarikNgbMessageDialog,
                            },
                            {
                                provide: infrastructure.DIALOG_INPUT_COMPONENT,
                                useValue: NarikNgbInputDialog,
                            },
                        ],
                        entryComponents: [
                            NarikNgbDialogContainer,
                            NarikNgbInputDialog,
                            NarikNgbMessageDialog,
                        ],
                    }]
            }] });

    var NarikNgbTreeview = /** @class */ (function (_super) {
        __extends(NarikNgbTreeview, _super);
        function NarikNgbTreeview(injector) {
            return _super.call(this, injector) || this;
        }
        Object.defineProperty(NarikNgbTreeview.prototype, "selectedItem", {
            get: function () {
                return this._selectedItem;
            },
            set: function (value) {
                this._selectedItem = value;
            },
            enumerable: false,
            configurable: true
        });
        NarikNgbTreeview.prototype.addNode = function (selectedNode) {
            throw new Error('Method not implemented.');
        };
        NarikNgbTreeview.prototype.deleteNode = function (selectedNode) {
            throw new Error('Method not implemented.');
        };
        return NarikNgbTreeview;
    }(uiCore.NarikTreeview));
    /** @nocollapse */ NarikNgbTreeview.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTreeview, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbTreeview.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbTreeview, selector: "narik-ngb-treeview narik-treeview", inputs: { newNodeTitle: "newNodeTitle" }, usesInheritance: true, ngImport: i0__namespace, template: "" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTreeview, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-treeview narik-treeview',
                        templateUrl: 'narik-ngb-treeview.component.html',
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; }, propDecorators: { newNodeTitle: [{
                    type: i0.Input
                }] } });

    var NarikNgbToolBar = /** @class */ (function (_super) {
        __extends(NarikNgbToolBar, _super);
        function NarikNgbToolBar(injector, viewContainerRef) {
            var _this = _super.call(this, injector, viewContainerRef) || this;
            _this.uniqueId = '';
            _this.toolbarItems = [];
            _this.uniqueId = 'toolbar' + angular2Uuid.UUID.UUID();
            return _this;
        }
        NarikNgbToolBar.prototype.ngOnInit = function () {
            var e_1, _a, e_2, _b, e_3, _c;
            _super.prototype.ngOnInit.call(this);
            var isnewGroup = false;
            var toolBarGroup = [];
            try {
                for (var _d = __values(this.items), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var item = _e.value;
                    if (item.itemType === 'divider') {
                        isnewGroup = true;
                    }
                    if (item.itemType !== 'divider') {
                        toolBarGroup.push(item);
                    }
                    if (isnewGroup) {
                        this.toolbarItems.push(__spreadArray([], __read(toolBarGroup)));
                        toolBarGroup = [];
                    }
                    isnewGroup = false;
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_e && !_e.done && (_a = _d.return)) _a.call(_d);
                }
                finally { if (e_1) throw e_1.error; }
            }
            if (toolBarGroup.length !== 0) {
                this.toolbarItems.push(toolBarGroup);
            }
            try {
                for (var _f = __values(this.toolbarItems), _g = _f.next(); !_g.done; _g = _f.next()) {
                    var group = _g.value;
                    var index = 0;
                    try {
                        for (var group_1 = (e_3 = void 0, __values(group)), group_1_1 = group_1.next(); !group_1_1.done; group_1_1 = group_1.next()) {
                            var item = group_1_1.value;
                            var cssClass = '';
                            if (index !== 0) {
                                cssClass += ' btn-not-first-child';
                            }
                            if (index !== group.length - 1) {
                                cssClass += ' btn-not-last-child';
                            }
                            item.cssClass = (item.cssClass || '') + cssClass;
                            index++;
                        }
                    }
                    catch (e_3_1) { e_3 = { error: e_3_1 }; }
                    finally {
                        try {
                            if (group_1_1 && !group_1_1.done && (_c = group_1.return)) _c.call(group_1);
                        }
                        finally { if (e_3) throw e_3.error; }
                    }
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_g && !_g.done && (_b = _f.return)) _b.call(_f);
                }
                finally { if (e_2) throw e_2.error; }
            }
        };
        return NarikNgbToolBar;
    }(uiCore.NarikToolBar));
    /** @nocollapse */ NarikNgbToolBar.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbToolBar, deps: [{ token: i0__namespace.Injector }, { token: i0__namespace.ViewContainerRef }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbToolBar.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbToolBar, selector: "narik-toolbar , narik-ngb-toolbar", usesInheritance: true, ngImport: i0__namespace, template: "<div class=\"btn-toolbar\" role=\"toolbar\" aria-label=\"Toolbar with button groups\">\n  <div class=\"btn-group mr-1\" *ngFor=\"let group of toolbarItems\">\n    <ng-container *ngFor=\"let item of group; let i = index\">\n      <ng-container *ngIf=\"item.itemType === 'button'\">\n        <narik-button\n          class=\"toolbar-btn\"\n          *ngIf=\"!item.hideExpr || !invisibleItems[item.key]\"\n          [disable]=\"item.disableExpr && disableItems[item.key]\"\n          [isBusy]=\"item.busyExpr && busyItems[item.key]\"\n          [cssClass]=\"item.cssClass\"\n          (nClick)=\"itemCommand(item)\"\n          [buttonStyle]=\"'secondary'\"\n          [icon]=\"item.icon\"\n          ngbTooltip=\"{{\n            (item.tooltip ? (item.tooltip | translate) : '') +\n              (options.appendShortcutToTooltip && item.shortcut\n                ? '(' + (item.shortcut | shortcut) + ')'\n                : '')\n          }}\"\n          container=\"body\"\n          [label]=\"showLabel ? item.label : ''\"\n        ></narik-button>\n      </ng-container>\n    </ng-container>\n  </div>\n</div>\n", components: [{ type: NarikNgbButtonComponent, selector: "narik-ngb-button , narik-button " }], directives: [{ type: i1__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i1__namespace$1.NgbTooltip, selector: "[ngbTooltip]", inputs: ["animation", "autoClose", "placement", "triggers", "container", "disableTooltip", "tooltipClass", "openDelay", "closeDelay", "ngbTooltip"], outputs: ["shown", "hidden"], exportAs: ["ngbTooltip"] }], pipes: { "translate": i4__namespace.TranslatePipe, "shortcut": i9__namespace.ShortcutPipe } });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbToolBar, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-toolbar , narik-ngb-toolbar',
                        templateUrl: 'narik-ngb-toolbar.component.html',
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }, { type: i0__namespace.ViewContainerRef }]; } });

    var NarikNgbToolbarModule = /** @class */ (function () {
        function NarikNgbToolbarModule() {
        }
        return NarikNgbToolbarModule;
    }());
    /** @nocollapse */ NarikNgbToolbarModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbToolbarModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbToolbarModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbToolbarModule, declarations: [NarikNgbToolBar], imports: [i1.CommonModule,
            i2.FormsModule,
            NarikNgbButtonModule,
            i4.TranslateModule,
            i1$1.NgbTooltipModule,
            i9.NarikCommonModule], exports: [NarikNgbToolBar] });
    /** @nocollapse */ NarikNgbToolbarModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbToolbarModule, providers: [], imports: [[
                i1.CommonModule,
                i2.FormsModule,
                NarikNgbButtonModule,
                i4.TranslateModule,
                i1$1.NgbTooltipModule,
                i9.NarikCommonModule,
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbToolbarModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i1.CommonModule,
                            i2.FormsModule,
                            NarikNgbButtonModule,
                            i4.TranslateModule,
                            i1$1.NgbTooltipModule,
                            i9.NarikCommonModule,
                        ],
                        declarations: [NarikNgbToolBar],
                        exports: [NarikNgbToolBar],
                        providers: [],
                    }]
            }] });

    var NarikNgbTreeviewModule = /** @class */ (function () {
        function NarikNgbTreeviewModule() {
        }
        return NarikNgbTreeviewModule;
    }());
    /** @nocollapse */ NarikNgbTreeviewModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTreeviewModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbTreeviewModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTreeviewModule, declarations: [NarikNgbTreeview], imports: [i1.CommonModule,
            i2.FormsModule,
            NarikNgbToolbarModule,
            i4.TranslateModule], exports: [NarikNgbTreeview] });
    /** @nocollapse */ NarikNgbTreeviewModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTreeviewModule, providers: [], imports: [[
                i1.CommonModule,
                i2.FormsModule,
                NarikNgbToolbarModule,
                i4.TranslateModule,
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTreeviewModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i1.CommonModule,
                            i2.FormsModule,
                            NarikNgbToolbarModule,
                            i4.TranslateModule,
                        ],
                        declarations: [NarikNgbTreeview],
                        exports: [NarikNgbTreeview],
                        providers: [],
                    }]
            }] });

    var NarikNgbCoreModule = /** @class */ (function () {
        function NarikNgbCoreModule() {
        }
        return NarikNgbCoreModule;
    }());
    /** @nocollapse */ NarikNgbCoreModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCoreModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbCoreModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCoreModule, imports: [i1.CommonModule] });
    /** @nocollapse */ NarikNgbCoreModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCoreModule, providers: [], imports: [[i1.CommonModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbCoreModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule],
                        declarations: [],
                        exports: [],
                        providers: [],
                    }]
            }] });

    var NarikNgbTabOutlet = /** @class */ (function (_super) {
        __extends(NarikNgbTabOutlet, _super);
        function NarikNgbTabOutlet(injector, zone) {
            var _this = _super.call(this, injector) || this;
            _this.zone = zone;
            return _this;
        }
        NarikNgbTabOutlet.prototype.removeTabItem = function (index) {
            this.removeTab(index);
            return false;
        };
        NarikNgbTabOutlet.prototype.addView = function (tab) {
            var _this = this;
            _super.prototype.addView.call(this, tab);
            this.zone.onStable
                .pipe(operators.take(1))
                .subscribe(function () { return _this.navElement.select(tab.uniqueId); });
        };
        return NarikNgbTabOutlet;
    }(uiCore.NarikTabOutlet));
    /** @nocollapse */ NarikNgbTabOutlet.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTabOutlet, deps: [{ token: i0__namespace.Injector }, { token: i0__namespace.NgZone }], target: i0__namespace.ɵɵFactoryTarget.Component });
    /** @nocollapse */ NarikNgbTabOutlet.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.4", type: NarikNgbTabOutlet, selector: "narik-ngb-tab-outlet , narik-tab-outlet", viewQueries: [{ propertyName: "navElement", first: true, predicate: ["nav"], descendants: true, static: true }], usesInheritance: true, ngImport: i0__namespace, template: "<div>\n  <nav ngbNav #nav=\"ngbNav\" [destroyOnHide]=\"false\" class=\"nav-tabs\">\n    <ng-container\n      ngbNavItem=\"tab.uniqueId\"\n      *ngFor=\"let tab of tabs; let index = index; trackBy: trackByFn\"\n    >\n      <ng-template ngbNavContent>\n        <div class=\"p-1\">\n          <ng-container *ngIf=\"tab.component\">\n            <ng-container\n              *narikComponentLoader=\"\n                tab.component;\n                parameters: tab.data;\n                providers: tab.providers\n              \"\n            ></ng-container>\n          </ng-container>\n        </div>\n      </ng-template>\n      <ng-template ngbNavLink>\n        <div class=\"title-container\">\n          <span>{{ tab.title | translate }}</span>\n          <i (click)=\"removeTabItem(index)\" class=\"fas fa-times close-btn ml-2\">\n          </i>\n        </div>\n      </ng-template>\n    </ng-container>\n  </nav>\n</div>\n", styles: [".close-btn{color:red;cursor:pointer}.title-container{display:\"flex\";justify-content:space-between}"], directives: [{ type: i1__namespace$1.NgbNav, selector: "[ngbNav]", inputs: ["animation", "destroyOnHide", "orientation", "roles", "keyboard", "activeId"], outputs: ["activeIdChange", "shown", "hidden", "navChange"], exportAs: ["ngbNav"] }, { type: i1__namespace.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1__namespace$1.NgbNavItem, selector: "[ngbNavItem]", inputs: ["disabled", "domId", "destroyOnHide", "ngbNavItem"], outputs: ["shown", "hidden"], exportAs: ["ngbNavItem"] }, { type: i1__namespace$1.NgbNavContent, selector: "ng-template[ngbNavContent]" }, { type: i1__namespace.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i9__namespace.NarikComponentLoaderDirective, selector: "[narikComponentLoader]", inputs: ["narikComponentLoader", "narikComponentLoaderParameters", "narikComponentLoaderBindings", "narikComponentLoaderBindingSource", "narikComponentLoaderProviders", "narikComponentLoaderEvents"] }], pipes: { "translate": i4__namespace.TranslatePipe } });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTabOutlet, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'narik-ngb-tab-outlet , narik-tab-outlet',
                        templateUrl: 'narik-ngb-tab-outlet.component.html',
                        styleUrls: ['narik-ngb-tab-outlet.component.css'],
                    }]
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }, { type: i0__namespace.NgZone }]; }, propDecorators: { navElement: [{
                    type: i0.ViewChild,
                    args: ['nav', { static: true }]
                }] } });

    var NarikNgbTabOutletModule = /** @class */ (function () {
        function NarikNgbTabOutletModule() {
        }
        return NarikNgbTabOutletModule;
    }());
    /** @nocollapse */ NarikNgbTabOutletModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTabOutletModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikNgbTabOutletModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTabOutletModule, declarations: [NarikNgbTabOutlet], imports: [i1.CommonModule, i4.TranslateModule, i9.NarikCommonModule, i1$1.NgbNavModule], exports: [NarikNgbTabOutlet] });
    /** @nocollapse */ NarikNgbTabOutletModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTabOutletModule, providers: [], imports: [[i1.CommonModule, i4.TranslateModule, i9.NarikCommonModule, i1$1.NgbNavModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikNgbTabOutletModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CommonModule, i4.TranslateModule, i9.NarikCommonModule, i1$1.NgbNavModule],
                        declarations: [NarikNgbTabOutlet],
                        exports: [NarikNgbTabOutlet],
                        providers: [],
                    }]
            }] });

    var NarikUiNgBootstrapModule = /** @class */ (function () {
        function NarikUiNgBootstrapModule() {
        }
        return NarikUiNgBootstrapModule;
    }());
    /** @nocollapse */ NarikUiNgBootstrapModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiNgBootstrapModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ NarikUiNgBootstrapModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiNgBootstrapModule, imports: [i4.TranslateModule,
            NarikNgbAutoCompleteModule,
            NarikNgbBusyIndicatorModule,
            NarikNgbButtonModule,
            NarikNgbCheckBoxModule,
            NarikNgbCheckBoxListModule,
            NarikNgbDataTableModule,
            NarikNgbDatePickerModule,
            NarikNgbDialogModule,
            NarikNgbDynamicFormModule,
            NarikNgbInputModule,
            NarikNgbRadioGroupModule,
            NarikNgbSelectModule,
            NarikNgbToolbarModule,
            NarikNgbTreeviewModule,
            NarikNgbCoreModule,
            NarikNgbTabOutletModule], exports: [i4.TranslateModule,
            NarikNgbAutoCompleteModule,
            NarikNgbBusyIndicatorModule,
            NarikNgbButtonModule,
            NarikNgbCheckBoxModule,
            NarikNgbCheckBoxListModule,
            NarikNgbDataTableModule,
            NarikNgbDatePickerModule,
            NarikNgbDialogModule,
            NarikNgbDynamicFormModule,
            NarikNgbInputModule,
            NarikNgbRadioGroupModule,
            NarikNgbSelectModule,
            NarikNgbToolbarModule,
            NarikNgbTreeviewModule,
            NarikNgbCoreModule,
            NarikNgbTabOutletModule] });
    /** @nocollapse */ NarikUiNgBootstrapModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiNgBootstrapModule, providers: [], imports: [[
                i4.TranslateModule,
                NarikNgbAutoCompleteModule,
                NarikNgbBusyIndicatorModule,
                NarikNgbButtonModule,
                NarikNgbCheckBoxModule,
                NarikNgbCheckBoxListModule,
                NarikNgbDataTableModule,
                NarikNgbDatePickerModule,
                NarikNgbDialogModule,
                NarikNgbDynamicFormModule,
                NarikNgbInputModule,
                NarikNgbRadioGroupModule,
                NarikNgbSelectModule,
                NarikNgbToolbarModule,
                NarikNgbTreeviewModule,
                NarikNgbCoreModule,
                NarikNgbTabOutletModule,
            ], i4.TranslateModule,
            NarikNgbAutoCompleteModule,
            NarikNgbBusyIndicatorModule,
            NarikNgbButtonModule,
            NarikNgbCheckBoxModule,
            NarikNgbCheckBoxListModule,
            NarikNgbDataTableModule,
            NarikNgbDatePickerModule,
            NarikNgbDialogModule,
            NarikNgbDynamicFormModule,
            NarikNgbInputModule,
            NarikNgbRadioGroupModule,
            NarikNgbSelectModule,
            NarikNgbToolbarModule,
            NarikNgbTreeviewModule,
            NarikNgbCoreModule,
            NarikNgbTabOutletModule] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiNgBootstrapModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [
                            i4.TranslateModule,
                            NarikNgbAutoCompleteModule,
                            NarikNgbBusyIndicatorModule,
                            NarikNgbButtonModule,
                            NarikNgbCheckBoxModule,
                            NarikNgbCheckBoxListModule,
                            NarikNgbDataTableModule,
                            NarikNgbDatePickerModule,
                            NarikNgbDialogModule,
                            NarikNgbDynamicFormModule,
                            NarikNgbInputModule,
                            NarikNgbRadioGroupModule,
                            NarikNgbSelectModule,
                            NarikNgbToolbarModule,
                            NarikNgbTreeviewModule,
                            NarikNgbCoreModule,
                            NarikNgbTabOutletModule,
                        ],
                        declarations: [],
                        exports: [
                            i4.TranslateModule,
                            NarikNgbAutoCompleteModule,
                            NarikNgbBusyIndicatorModule,
                            NarikNgbButtonModule,
                            NarikNgbCheckBoxModule,
                            NarikNgbCheckBoxListModule,
                            NarikNgbDataTableModule,
                            NarikNgbDatePickerModule,
                            NarikNgbDialogModule,
                            NarikNgbDynamicFormModule,
                            NarikNgbInputModule,
                            NarikNgbRadioGroupModule,
                            NarikNgbSelectModule,
                            NarikNgbToolbarModule,
                            NarikNgbTreeviewModule,
                            NarikNgbCoreModule,
                            NarikNgbTabOutletModule,
                        ],
                        providers: [],
                    }]
            }] });

    var NarikUiListForm = /** @class */ (function (_super) {
        __extends(NarikUiListForm, _super);
        function NarikUiListForm(injector) {
            var _this = _super.call(this, injector) || this;
            _this.ds = [];
            _this.hasDataSource = false;
            return _this;
        }
        Object.defineProperty(NarikUiListForm.prototype, "isServerSide", {
            get: function () {
                return this.config && this.config.isServerSideData ? true : false;
            },
            enumerable: false,
            configurable: true
        });
        NarikUiListForm.prototype.ngOnInit = function () {
            _super.prototype.ngOnInit.call(this);
            if (this.fields) {
            }
            if (this.config) {
                if (this.isServerSide) {
                    var that = this;
                }
            }
        };
        NarikUiListForm.prototype.ngAfterViewInit = function () { };
        NarikUiListForm.prototype.useData = function (result) {
            this.dataSource = result.data;
        };
        NarikUiListForm.prototype.refresh = function (remoteDaraParams) {
            if (!this.isServerSide) {
                this.getEntities();
            }
            else {
            }
        };
        return NarikUiListForm;
    }(appCore.NarikListForm));
    /** @nocollapse */ NarikUiListForm.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiListForm, deps: [{ token: i0__namespace.Injector }], target: i0__namespace.ɵɵFactoryTarget.Directive });
    /** @nocollapse */ NarikUiListForm.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.0.4", type: NarikUiListForm, usesInheritance: true, ngImport: i0__namespace });
    __decorate([
        core.NarikInject(i4.TranslateService),
        __metadata("design:type", i4.TranslateService)
    ], NarikUiListForm.prototype, "translateService", void 0);
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.4", ngImport: i0__namespace, type: NarikUiListForm, decorators: [{
                type: i0.Directive
            }], ctorParameters: function () { return [{ type: i0__namespace.Injector }]; }, propDecorators: { translateService: [] } });

    var NarikUiEditForm = /** @class */ (function (_super) {
        __extends(NarikUiEditForm, _super);
        function NarikUiEditForm(injector) {
            return _super.call(this, injector) || this;
        }
        NarikUiEditForm.prototype.submit = function () {
            if (this.formElement) {
                this.renderer.addClass(this.formElement.nativeElement, 'was-validated');
            }
            _super.prototype.submit.call(this);
        };
        return NarikUiEditForm;
    }(appCore.NarikEditForm));
    __decorate([
        core.NarikInject(i0.Renderer2),
        __metadata("design:type", i0.Renderer2)
    ], NarikUiEditForm.prototype, "renderer", void 0);

    /*
     * Public API Surface of narik-ui-ng-bootstrap
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.NarikNgbAutoComplete = NarikNgbAutoComplete;
    exports.NarikNgbAutoCompleteModule = NarikNgbAutoCompleteModule;
    exports.NarikNgbBusyIndicator = NarikNgbBusyIndicator;
    exports.NarikNgbBusyIndicatorModule = NarikNgbBusyIndicatorModule;
    exports.NarikNgbButtonComponent = NarikNgbButtonComponent;
    exports.NarikNgbButtonModule = NarikNgbButtonModule;
    exports.NarikNgbCheckBox = NarikNgbCheckBox;
    exports.NarikNgbCheckBoxList = NarikNgbCheckBoxList;
    exports.NarikNgbCheckBoxListModule = NarikNgbCheckBoxListModule;
    exports.NarikNgbCheckBoxModule = NarikNgbCheckBoxModule;
    exports.NarikNgbCoreModule = NarikNgbCoreModule;
    exports.NarikNgbDataTable = NarikNgbDataTable;
    exports.NarikNgbDataTableModule = NarikNgbDataTableModule;
    exports.NarikNgbDatePicker = NarikNgbDatePicker;
    exports.NarikNgbDatePickerModule = NarikNgbDatePickerModule;
    exports.NarikNgbDialogContainer = NarikNgbDialogContainer;
    exports.NarikNgbDialogModule = NarikNgbDialogModule;
    exports.NarikNgbDynamicForm = NarikNgbDynamicForm;
    exports.NarikNgbDynamicFormModule = NarikNgbDynamicFormModule;
    exports.NarikNgbInput = NarikNgbInput;
    exports.NarikNgbInputDialog = NarikNgbInputDialog;
    exports.NarikNgbInputModule = NarikNgbInputModule;
    exports.NarikNgbMessageDialog = NarikNgbMessageDialog;
    exports.NarikNgbRadioGroup = NarikNgbRadioGroup;
    exports.NarikNgbRadioGroupModule = NarikNgbRadioGroupModule;
    exports.NarikNgbSelect = NarikNgbSelect;
    exports.NarikNgbSelectModule = NarikNgbSelectModule;
    exports.NarikNgbTabOutlet = NarikNgbTabOutlet;
    exports.NarikNgbTabOutletModule = NarikNgbTabOutletModule;
    exports.NarikNgbToolBar = NarikNgbToolBar;
    exports.NarikNgbToolbarModule = NarikNgbToolbarModule;
    exports.NarikNgbTreeview = NarikNgbTreeview;
    exports.NarikNgbTreeviewModule = NarikNgbTreeviewModule;
    exports.NarikUiEditForm = NarikUiEditForm;
    exports.NarikUiListForm = NarikUiListForm;
    exports.NarikUiNgBootstrapModule = NarikUiNgBootstrapModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=narik-ui-ng-bootstrap.umd.js.map
